/***************************************************************************
                          kpinfo.h  -  description
                             -------------------
    begin                : Don Jan 23 2003
    copyright            : (C) 2003 by Bert Speckels
    email                : bert.speckels@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _KPINFO_H_
#define _KPINFO_H_
 
#include <qstring.h>
#include <klocale.h>

/** Information about the main kickpim menu
    Referring to the png-file info-kickpim-menu.png */
const QString infoKickPimApplet =
      I18N_NOOP(
        "<font size=4><b>\n"
        "KickPIM\n"
        "</b></font><br><br>\n"
        "Welcome to KickPIM!\n"
        "<br>\n"
        "This and other messages will appear only once to introduce you into the features of KickPIM.\n"
        "<br><br>\n"

        // function
        "<b>Function</b>\n"
        "<br><br>\n"
        "KickPIM is a panel applet for quickly editing and accessing the KDE addressbook or "
        "sending emails to your contacts. It shows also a list of upcoming birthdays.\n"
        "<br><br>\n"
        "KickPIM is not ready yet! Some features like the email checker and the presentation "
        "of your KOrganizer data are just ideas.\n"
        "<br><br>\n"

        // usage
        "<b>Usage</b>\n"
        "<br><br>\n"
        "Left click on the KickPIM icon in your Kicker panel to open the KickPIM menu "
        "which lists all your contacts. Right click on the KickPIM icon to open a popup menu "
        "with various options: Preferences, Hotkey-Settings and launching the KAddressBook."
        );



/** Information about the main kickpim menu
    Referring to the png-file info-kickpim-menu.png */
const QString infoKickPimMenu =
      I18N_NOOP(
      "<font size=4><b>\n"
      "The main KickPIM menu\n"
      "</b></font><br><br>\n"
      // function
      "<b>Function</b>\n"
      "<br><br>\n"
      "The KickPIM menu is useful for a quick and compact display of contacts and events. "
      "KickPIM reads data from your KAddressBook and (later) Organizer and displays it "
      "in a popup menu accessable by one mouse click or key press.\n"
      "<br><br>\n"
      "But KickPIM ist not only for viewing that data but also for acting with it: You can "
      "send emails, edit contacts or (later) create new events very easily.\n"
      "<br><br>\n"
      // usage
      "<b>Usage</b>\n"
      "<br><br>\n"
      "<b>Contacts</b>. The left side of the KickPIM menu displays your contacts. "
      "After selecting one or more of them you may send an email, display detailed "
      "data or edit the contacts informations by right clicking on them.\n"
      "<br><br>\n"
      "<b>Events</b>. The right half of the KickPIM menu displays upcoming events like "
      "birthdays (yellow star) or anniversaries (blue star). In later versions it will "
      "also display incoming emails and organizer events."
      );



/** Information about the card view.
    Referring to the png-file info-kickpim-card.png */
const QString infoCardView =
      I18N_NOOP(
      "<font size=4><b>\n"
      "The Card View\n"
      "</b></font><br><br>\n"
      // function
      "<b>Function</b>\n"
      "<br><br>\n"

      "The card view will display informations about a contact in a very compact way. "
      "It will disappear when clicking somewhere outside the card. \n"
      "<br><br>\n"
      
      // usage
      "<b>Usage</b>\n"
      "<br><br>\n"

      "Different types of addresses (1a), email addresses (1b) "
      "and phone numbers (1c) are not displayed at once but selectable "
      "by a single right mouseclick. This will open a popup menu (3) showing the "
      "available types for selection. You may also copy the displayed content "
      "to the clipboard.\n"
      "<br><br>\n"
      "The date field on the right (2) will display a persons birthday "
      "as well as it's anniversary (3) if available.\n"
      "<br><br>\n"
      "You may left-click an email address to write a new email to the contact."
      );


#endif

