/***************************************************************************
                          kpconactevent.h  -  description
                             -------------------
    begin                : Don Okt 24 2002
    copyright            : (C) 2002 by Bert Speckels
    email                : bert@speckels.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KPEventEntry_H
#define KPEventEntry_H

#include "kpevent.h"


/** 
  *@author Bert Speckels
  */


    
class KPContactEvent : public KPEvent
{

  Q_OBJECT

public:
  enum TContentEventType  { BIRTHDAY=1, ANNIVERSARY=2 };

  KPContactEvent ( );
  virtual ~KPContactEvent();  

  virtual bool isEmpty() const;
  
  virtual void setText(QString text);
  virtual void setDate(QDate date);
  virtual void setTime(QTime time);
  virtual void setContact(KPContact* contact);
  virtual void setType(int type);
  
  virtual QString    text()       const;
  virtual QDate      date()       const;
  virtual QTime      time()       const;  
  virtual KPContact* contact()    const;
  virtual int        type()       const;

  virtual bool ignoreYear() { return true; };

public:
  QDate      m_date;
  QString    m_text;
  KPContact* m_contact;
  int        m_type;
};



#endif
