/***************************************************************************
                          kpkabcontactreader.h  -  description
                             -------------------
    begin                : Sam Jan 18 2003
    copyright            : (C) 2003 by Bert Speckels
    email                : bert.speckels@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KPKABCONTACTREADER_H
#define KPKABCONTACTREADER_H

#include <kabc/addressbook.h>
#include <kabc/stdaddressbook.h>

#include "kpcontactreader.h"

using namespace KABC;


/**
  *@author Bert Speckels
  */

class KPKabContactReader : public KPContactReader
{

  Q_OBJECT
  
public:

  KPKabContactReader();
  virtual ~KPKabContactReader();

  virtual KPContact* first();
  virtual KPContact* next();

  virtual void reload();  
     /*
signals:

  void contactsChanged( KPContactReader* reader );
  */


protected:

  KPContact* createContact( AddressBook::Iterator& itor );
      
public slots:

  void onAddressBookChanged ( AddressBook* );
    
protected:

  AddressBook*          m_addrBook;
  AddressBook::Iterator m_itor;
  
};

#endif
